/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:43pm
Filepath: scripts\Items\Artifacts\champion spawns\rikktorsrage.cs
Lines of code: 52

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class rikktorsrage : Maul
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public rikktorsrage()
		{
			Hue = 345;
			Name = "Rikktor's Rage";
			WeaponAttributes.HitPhysicalArea = 50;
			WeaponAttributes.HitFireball= 50;
			Attributes.WeaponDamage = 50;
			Attributes.ReflectPhysical = 30;
			
			AosElementDamages.Physical=50;
			AosElementDamages.Fire=50;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}
		

		public rikktorsrage( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 2 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version<=1)
			{			
				WeaponAttributes.HitLightning= 0;
				WeaponAttributes.HitPhysicalArea = 50;
				Attributes.ReflectPhysical = 30;
				WeaponAttributes.HitFireball= 50;
				
				AosElementDamages.Physical=50;
				AosElementDamages.Fire=50;
				AosElementDamages.Cold=0;
				AosElementDamages.Poison=0;
				AosElementDamages.Energy=0;
				AosElementDamages.Chaos=0;				
			}
			
		}
	}
}